View Issue Details

IDProjectCategoryView StatusLast Update
0023139mantisbtapi restpublic2017-09-03 18:41
ReporterrichardmossAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023139: Notes returned by /issues REST API have incorrect timestamps
Description

Hello,

The created_at and updated_at fields in the JSON response for Notes are returning what seems to be a minimum value for timestamps, e.g.

            {
                "id": 11,
                "reporter": {
                    "id": 2,
                    "name": "xx",
                    "real_name": "xx",
                    "email": "xx"
                },
                "text": "xx",
                "view_state": {
                    "id": 10,
                    "name": "public",
                    "label": "public"
                },
                "type": "note",
                "created_at": "1970-01-01T01:33:37+01:00",
                "updated_at": "1970-01-01T01:33:37+01:00"
            },

When I view these notes through the MantisBT front end, the correct timestamps are displayed - 2017-07-08 11:00 in regards to the example JSON above. I have tested a few issues containing notes and this value is always returned in lieu of the proper values.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 4a4cc453

2017-07-23 15:18:35

vboctor

Details Diff
Fix note timestamps in REST APIs

Fixes 0023139
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2017-07-22 06:46 richardmoss New Issue
2017-07-23 15:19 vboctor Assigned To => vboctor
2017-07-23 15:19 vboctor Status new => assigned
2017-07-23 15:19 vboctor Note Added: 0057308
2017-08-05 19:13 vboctor Changeset attached => MantisBT master 4a4cc453
2017-08-05 19:13 vboctor Status assigned => resolved
2017-08-05 19:13 vboctor Resolution open => fixed
2017-08-05 19:13 vboctor Fixed in Version => 2.6.0
2017-08-05 19:22 vboctor Target Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed